VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::access::Shell Interface Reference

`Shell` interface provides methods Get/Set enabled state of BASH. More...

Inherited by vmware::appliance::access::ShellStub.

List of all members.

## Public Member Functions
void | Set (vmware.appliance.access.ShellTypes.ShellConfig config)
| Set enabled state of BASH, that is, access to BASH from within the controlled CLI.
void | Set (vmware.appliance.access.ShellTypes.ShellConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set enabled state of BASH, that is, access to BASH from within the controlled CLI.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.access.ShellTypes.ShellConfig config)
| Set enabled state of BASH, that is, access to BASH from within the controlled CLI.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.access.ShellTypes.ShellConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set enabled state of BASH, that is, access to BASH from within the controlled CLI.
vmware.appliance.access.ShellTypes.ShellConfig | Get ()
| Get enabled state of BASH, that is, access to BASH from within the controlled CLI.
vmware.appliance.access.ShellTypes.ShellConfig | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get enabled state of BASH, that is, access to BASH from within the controlled CLI.
global::System.Threading.Tasks.Task < vmware.appliance.access.ShellTypes.ShellConfig > | GetAsync ()
| Get enabled state of BASH, that is, access to BASH from within the controlled CLI.
global::System.Threading.Tasks.Task < vmware.appliance.access.ShellTypes.ShellConfig > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get enabled state of BASH, that is, access to BASH from within the controlled CLI.

## Detailed Description

`Shell` interface provides methods Get/Set enabled state of BASH.

## Member Function Documentation

vmware.appliance.access.ShellTypes.ShellConfig vmware::appliance::access::Shell::Get | ( |  | ) |

Get enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Current shell configuration.

Implemented in vmware::appliance::access::ShellStub.

vmware.appliance.access.ShellTypes.ShellConfig vmware::appliance::access::Shell::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Current shell configuration.

Implemented in vmware::appliance::access::ShellStub.

global::System.Threading.Tasks.Task<vmware.appliance.access.ShellTypes.ShellConfig> vmware::appliance::access::Shell::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Current shell configuration.

Implemented in vmware::appliance::access::ShellStub.

global::System.Threading.Tasks.Task<vmware.appliance.access.ShellTypes.ShellConfig> vmware::appliance::access::Shell::GetAsync | ( |  | ) |

Get enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Current shell configuration.

Implemented in vmware::appliance::access::ShellStub.

void vmware::appliance::access::Shell::Set | ( | vmware.appliance.access.ShellTypes.ShellConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Shell configuration
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::access::ShellStub.

void vmware::appliance::access::Shell::Set | ( | vmware.appliance.access.ShellTypes.ShellConfig | config | ) |

Set enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Shell configuration

Implemented in vmware::appliance::access::ShellStub.

global::System.Threading.Tasks.Task vmware::appliance::access::Shell::SetAsync | ( | vmware.appliance.access.ShellTypes.ShellConfig | config | ) |

Set enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Shell configuration

Implemented in vmware::appliance::access::ShellStub.

global::System.Threading.Tasks.Task vmware::appliance::access::Shell::SetAsync | ( | vmware.appliance.access.ShellTypes.ShellConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set enabled state of BASH, that is, access to BASH from within the controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Shell configuration
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::access::ShellStub.

The documentation for this interface was generated from the following file:

- Shell.cs